/* Sistemas Integrados TECNISA

Nome: 9815_GERTRGS_LOG_CDP_PARAMAN.SQL

Descrio:
   Trigger para gravar o log das alteraes

Criao:
   14/01/2016 - Jurandir Junio
*/

/* Tabela PARAMAN.*/
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir das alteraes na tabela
              PARAMAN, para verifio de erros */
IF EXISTS(SELECT *
          FROM SYSOBJECTS O, SYSUSERS U
          WHERE O.NAME = 'LOG_CDP_PARAMAN' AND
                TYPE   = 'TR'                 AND
                U.UID  = O.UID                AND
                U.NAME = USER)

DROP TRIGGER LOG_CDP_PARAMAN
GO


CREATE TRIGGER LOG_CDP_PARAMAN
ON PARAMAN
FOR UPDATE,INSERT, DELETE
AS
BEGIN

   DECLARE @V_DSREMOTEADDR VARCHAR(15);
   DECLARE @V_DSREMOTEHOST VARCHAR(15);
   DECLARE @V_DSSERVERRDM  VARCHAR(20);
   DECLARE @V_DSSERVMETHOD VARCHAR(30);
   DECLARE @V_DSREMOTEOPER VARCHAR(12);
   DECLARE @V_DESC         VARCHAR(500);
   DECLARE @V_ITPESQ       VARCHAR(80);
   DECLARE @V_NMOPERADOR   VARCHAR(40);
   DECLARE @V_IDCLIEATIV   VARCHAR(1);
   DECLARE @V_NRINCREST    VARCHAR(40);
   DECLARE @V_IDTIPOOPER   VARCHAR(1);

/*VARIVEIS DO CURSOR C_CURSOR*/
   DECLARE @V_ID_TRIGGER         VARCHAR(1);

   DECLARE @V_CDFILIAL_OLD        VARCHAR(4);
   DECLARE @V_CDPARAMAN_OLD       VARCHAR(1);
   DECLARE @V_IDATUESTOQ_OLD      VARCHAR(1);
   DECLARE @V_DSNUMELOTEPR_OLD    VARCHAR(50);
   DECLARE @V_DSSEQULOTEPR_OLD    VARCHAR(50);
   DECLARE @V_CDSETORPROD_OLD     VARCHAR(4);
   DECLARE @V_IDUTILIZLOTE_OLD    VARCHAR(1);
   DECLARE @V_QTHRPADRPROD_OLD    NUMERIC;
   DECLARE @V_NRTPCUSTOOP_OLD     VARCHAR(2);
   DECLARE @V_CDTIPORETI_OLD      VARCHAR(2);
   DECLARE @V_CDRETIRESE_OLD      VARCHAR(2);
   DECLARE @V_IDGEPERDAREN_OLD    VARCHAR(1);
   DECLARE @V_DTULTATUPMAN_OLD    DATETIME;
   DECLARE @V_IDSUBOPSEMIACA_OLD  VARCHAR(1);
   DECLARE @V_IDBLPRANAINIOP_OLD  VARCHAR(1);
   DECLARE @V_IDUTSEGLIBLOTE_OLD  VARCHAR(1);
   DECLARE @V_IDRESLOTEPEDPLA_OLD VARCHAR(1);
   DECLARE @V_IDUTEQUIPLAPROD_OLD VARCHAR(1);
   DECLARE @V_IDUTLOCESTPRACA_OLD VARCHAR(1);
   DECLARE @V_IDVALANARETPROD_OLD VARCHAR(1);
   DECLARE @V_IDTPCALCCUSPROD_OLD VARCHAR(1);
   DECLARE @V_IDUTAPPCC_OLD       VARCHAR(1);
   DECLARE @V_IDVALINSPRETPRO_OLD VARCHAR(1);
   DECLARE @V_IDPRIORIPROD_OLD    VARCHAR(1);
   DECLARE @V_NRRETMAXLOT_OLD     VARCHAR(3);
   DECLARE @V_IDALTERAPCPRET_OLD  VARCHAR(1);
   DECLARE @V_IDLOTEPROD_OLD      VARCHAR(1);
   DECLARE @V_IDAUDIPROCFAB_OLD   VARCHAR(1);
   DECLARE @V_IDUTAUTSENHA_OLD    VARCHAR(1);
   DECLARE @V_IDGERAOPPEDIDO_OLD  VARCHAR(1);
   DECLARE @V_IDUTAUTSENHARET_OLD VARCHAR(1);
   DECLARE @V_IDTPRETIRADA_OLD    VARCHAR(1);
   DECLARE @V_IDALTERARETI_OLD    VARCHAR(1);
   DECLARE @V_IDVDSEMIVDACAB_OLD  VARCHAR(1);
   DECLARE @V_CDFORNECEDBANH_OLD  VARCHAR(21);
   DECLARE @V_VRSERVICO_OLD       FLOAT;
   DECLARE @V_VRPROPORCAO_OLD     FLOAT;
   DECLARE @V_IDLOTEPRODCOMP_OLD  VARCHAR(1);
   DECLARE @V_IDRETPERDAUTO_OLD   VARCHAR(1);
   DECLARE @V_IDLIBLOTEEST_OLD    VARCHAR(1);
   DECLARE @V_IDALTERAFECHA_OLD   VARCHAR(1);
   DECLARE @V_IDRECALCQTOP_OLD    VARCHAR(1);
   DECLARE @V_IDUNIDADEVRINT_OLD  VARCHAR(1);
   DECLARE @V_DSUNIDMEDIDA_OLD    VARCHAR(1000);
   DECLARE @V_CDPRODAGUA_OLD      VARCHAR(1);
   DECLARE @V_VRPRODAGUA_OLD      FLOAT;
   DECLARE @V_VRULTPRODAGUA_OLD   FLOAT;
   DECLARE @V_IDBLOQFECHA_OLD     VARCHAR(1);
   DECLARE @V_IDVRUNITPRACAB_OLD  VARCHAR(01);

   DECLARE @V_IDUTBALCWTFECHOP_OLD VARCHAR(01);
   DECLARE @V_IDMODELOBALANCA_OLD VARCHAR(01);
   DECLARE @V_IDTIPOCONEXAO_OLD VARCHAR(10);
   DECLARE @V_DSIPBALANCA_OLD VARCHAR(20);
   DECLARE @V_CDPORTABALANCA_OLD VARCHAR(10);
   DECLARE @V_IDINFPESOMANUAL_OLD VARCHAR(01);
   DECLARE @V_IDUTINCOPPED_OLD VARCHAR(01);

   DECLARE @V_CDFILIAL_NEW        VARCHAR(4);
   DECLARE @V_CDPARAMAN_NEW       VARCHAR(1);
   DECLARE @V_IDATUESTOQ_NEW      VARCHAR(1);
   DECLARE @V_DSNUMELOTEPR_NEW    VARCHAR(50);
   DECLARE @V_DSSEQULOTEPR_NEW    VARCHAR(50);
   DECLARE @V_CDSETORPROD_NEW     VARCHAR(4);
   DECLARE @V_IDUTILIZLOTE_NEW    VARCHAR(1);
   DECLARE @V_QTHRPADRPROD_NEW    NUMERIC;
   DECLARE @V_NRTPCUSTOOP_NEW     VARCHAR(2);
   DECLARE @V_CDTIPORETI_NEW      VARCHAR(2);
   DECLARE @V_CDRETIRESE_NEW      VARCHAR(2);
   DECLARE @V_IDGEPERDAREN_NEW    VARCHAR(1);
   DECLARE @V_DTULTATUPMAN_NEW    DATETIME;
   DECLARE @V_IDSUBOPSEMIACA_NEW  VARCHAR(1);
   DECLARE @V_IDBLPRANAINIOP_NEW  VARCHAR(1);
   DECLARE @V_IDUTSEGLIBLOTE_NEW  VARCHAR(1);
   DECLARE @V_IDRESLOTEPEDPLA_NEW VARCHAR(1);
   DECLARE @V_IDUTEQUIPLAPROD_NEW VARCHAR(1);
   DECLARE @V_IDUTLOCESTPRACA_NEW VARCHAR(1);
   DECLARE @V_IDVALANARETPROD_NEW VARCHAR(1);
   DECLARE @V_IDTPCALCCUSPROD_NEW VARCHAR(1);
   DECLARE @V_IDUTAPPCC_NEW       VARCHAR(1);
   DECLARE @V_IDVALINSPRETPRO_NEW VARCHAR(1);
   DECLARE @V_IDPRIORIPROD_NEW    VARCHAR(1);
   DECLARE @V_NRRETMAXLOT_NEW     VARCHAR(3);
   DECLARE @V_IDALTERAPCPRET_NEW  VARCHAR(1);
   DECLARE @V_IDLOTEPROD_NEW      VARCHAR(1);
   DECLARE @V_IDAUDIPROCFAB_NEW   VARCHAR(1);
   DECLARE @V_IDUTAUTSENHA_NEW    VARCHAR(1);
   DECLARE @V_IDGERAOPPEDIDO_NEW  VARCHAR(1);
   DECLARE @V_IDUTAUTSENHARET_NEW VARCHAR(1);
   DECLARE @V_IDTPRETIRADA_NEW    VARCHAR(1);
   DECLARE @V_IDALTERARETI_NEW    VARCHAR(1);
   DECLARE @V_IDVDSEMIVDACAB_NEW  VARCHAR(1);
   DECLARE @V_CDFORNECEDBANH_NEW  VARCHAR(21);
   DECLARE @V_VRSERVICO_NEW       FLOAT;
   DECLARE @V_VRPROPORCAO_NEW     FLOAT;
   DECLARE @V_IDLOTEPRODCOMP_NEW  VARCHAR(1);
   DECLARE @V_IDRETPERDAUTO_NEW   VARCHAR(1);
   DECLARE @V_IDLIBLOTEEST_NEW    VARCHAR(1);
   DECLARE @V_IDALTERAFECHA_NEW   VARCHAR(1);
   DECLARE @V_IDRECALCQTOP_NEW    VARCHAR(1);
   DECLARE @V_IDUNIDADEVRINT_NEW  VARCHAR(1);
   DECLARE @V_DSUNIDMEDIDA_NEW    VARCHAR(1000);
   DECLARE @V_CDPRODAGUA_NEW      VARCHAR(1);
   DECLARE @V_VRPRODAGUA_NEW      FLOAT;
   DECLARE @V_VRULTPRODAGUA_NEW   FLOAT;
   DECLARE @V_IDBLOQFECHA_NEW     VARCHAR(1);
   DECLARE @V_IDVRUNITPRACAB_NEW  VARCHAR(01);

   DECLARE @V_IDUTBALCWTFECHOP_NEW VARCHAR(01);
   DECLARE @V_IDMODELOBALANCA_NEW VARCHAR(01);
   DECLARE @V_IDTIPOCONEXAO_NEW VARCHAR(10);
   DECLARE @V_DSIPBALANCA_NEW VARCHAR(20);
   DECLARE @V_CDPORTABALANCA_NEW VARCHAR(10);
   DECLARE @V_IDINFPESOMANUAL_NEW VARCHAR(01);
   DECLARE @V_IDUTINCOPPED_NEW VARCHAR(01);

/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/

   SET @V_DESC       = '';
   SET @V_ITPESQ     = '';
   SET @V_NMOPERADOR = '';
   SET @V_IDCLIEATIV = '';
   SET @V_NRINCREST  = '';
   SET @V_IDTIPOOPER = '';

   EXEC NMUSUARIO  @V_NMOPERADOR;
   EXEC WEBTUNNING @V_DSREMOTEADDR,
                   @V_DSREMOTEHOST,
                   @V_DSSERVERRDM,
                   @V_DSSERVMETHOD,
                   @V_DSREMOTEOPER;

   DECLARE C_CURSOR CURSOR FOR
      SELECT
         'D' IDCOMANDO,

         CDFILIAL,
         CDPARAMAN,
         IDATUESTOQ,
         IDATUESTOQ,
         DSSEQULOTEPR,
         DSSEQULOTEPR,
         CDSETORPROD,
         IDUTILIZLOTE,
         QTHRPADRPROD,
         NRTPCUSTOOP,
         CDTIPORETI,
         CDRETIRESE,
         IDGEPERDAREN,
         DTULTATUPMAN,
         IDSUBOPSEMIACA,
         IDBLPRANAINIOP,
         IDUTSEGLIBLOTE,
         IDRESLOTEPEDPLA,
         IDUTEQUIPLAPROD,
         IDUTLOCESTPRACA,
         IDVALANARETPROD,
         IDTPCALCCUSPROD,
         IDUTAPPCC,
         IDVALINSPRETPRO,
         IDPRIORIPROD,
         NRRETMAXLOT,
         IDALTERAPCPRET,
         IDAUDIPROCFAB,
         IDUTAUTSENHA,
         IDGERAOPPEDIDO,
         IDUTAUTSENHARET,
         IDTPRETIRADA,
         IDALTERARETI,
         IDVDSEMIVDACAB,
         CDFORNECEDBANH,
         VRSERVICO,
         VRPROPORCAO,
         IDLOTEPRODCOMP,
         IDRETPERDAUTO,
         IDLIBLOTEEST,
         IDALTERAFECHA,
         IDRECALCQTOP,
         IDUNIDADEVRINT,
         DSUNIDMEDIDA,
         CDPRODAGUA,
         VRPRODAGUA,
         VRULTPRODAGUA,
         IDBLOQFECHA,
         IDVRUNITPRACAB,

         IDUTBALCWTFECHOP,
         IDMODELOBALANCA,
         IDTIPOCONEXAO,
         DSIPBALANCA,
         CDPORTABALANCA,
         IDINFPESOMANUAL,
         IDUTINCOPPED,

         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL

      FROM
         DELETED
      WHERE
         0 = (SELECT COUNT(*) FROM INSERTED)
      UNION ALL

      SELECT
         'U' IDCOMANDO,

         DELETED.CDFILIAL,
         DELETED.CDPARAMAN,
         DELETED.IDATUESTOQ,
         DELETED.IDATUESTOQ,
         DELETED.DSSEQULOTEPR,
         DELETED.DSSEQULOTEPR,
         DELETED.CDSETORPROD,
         DELETED.IDUTILIZLOTE,
         DELETED.QTHRPADRPROD,
         DELETED.NRTPCUSTOOP,
         DELETED.CDTIPORETI,
         DELETED.CDRETIRESE,
         DELETED.IDGEPERDAREN,
         DELETED.DTULTATUPMAN,
         DELETED.IDSUBOPSEMIACA,
         DELETED.IDBLPRANAINIOP,
         DELETED.IDUTSEGLIBLOTE,
         DELETED.IDRESLOTEPEDPLA,
         DELETED.IDUTEQUIPLAPROD,
         DELETED.IDUTLOCESTPRACA,
         DELETED.IDVALANARETPROD,
         DELETED.IDTPCALCCUSPROD,
         DELETED.IDUTAPPCC,
         DELETED.IDVALINSPRETPRO,
         DELETED.IDPRIORIPROD,
         DELETED.NRRETMAXLOT,
         DELETED.IDALTERAPCPRET,
         DELETED.IDAUDIPROCFAB,
         DELETED.IDUTAUTSENHA,
         DELETED.IDGERAOPPEDIDO,
         DELETED.IDUTAUTSENHARET,
         DELETED.IDTPRETIRADA,
         DELETED.IDALTERARETI,
         DELETED.IDVDSEMIVDACAB,
         DELETED.CDFORNECEDBANH,
         DELETED.VRSERVICO,
         DELETED.VRPROPORCAO,
         DELETED.IDLOTEPRODCOMP,
         DELETED.IDRETPERDAUTO,
         DELETED.IDLIBLOTEEST,
         DELETED.IDALTERAFECHA,
         DELETED.IDRECALCQTOP,
         DELETED.IDUNIDADEVRINT,
         DELETED.DSUNIDMEDIDA,
         DELETED.CDPRODAGUA,
         DELETED.VRPRODAGUA,
         DELETED.VRULTPRODAGUA,
         DELETED.IDBLOQFECHA,
         DELETED.IDVRUNITPRACAB,

         DELETED.IDUTBALCWTFECHOP,
         DELETED.IDMODELOBALANCA,
         DELETED.IDTIPOCONEXAO,
         DELETED.DSIPBALANCA,
         DELETED.CDPORTABALANCA,
         DELETED.IDINFPESOMANUAL,
         DELETED.IDUTINCOPPED,

         INSERTED.CDFILIAL,
         INSERTED.CDPARAMAN,
         INSERTED.IDATUESTOQ,
         INSERTED.IDATUESTOQ,
         INSERTED.DSSEQULOTEPR,
         INSERTED.DSSEQULOTEPR,
         INSERTED.CDSETORPROD,
         INSERTED.IDUTILIZLOTE,
         INSERTED.QTHRPADRPROD,
         INSERTED.NRTPCUSTOOP,
         INSERTED.CDTIPORETI,
         INSERTED.CDRETIRESE,
         INSERTED.IDGEPERDAREN,
         INSERTED.DTULTATUPMAN,
         INSERTED.IDSUBOPSEMIACA,
         INSERTED.IDBLPRANAINIOP,
         INSERTED.IDUTSEGLIBLOTE,
         INSERTED.IDRESLOTEPEDPLA,
         INSERTED.IDUTEQUIPLAPROD,
         INSERTED.IDUTLOCESTPRACA,
         INSERTED.IDVALANARETPROD,
         INSERTED.IDTPCALCCUSPROD,
         INSERTED.IDUTAPPCC,
         INSERTED.IDVALINSPRETPRO,
         INSERTED.IDPRIORIPROD,
         INSERTED.NRRETMAXLOT,
         INSERTED.IDALTERAPCPRET,
         INSERTED.IDAUDIPROCFAB,
         INSERTED.IDUTAUTSENHA,
         INSERTED.IDGERAOPPEDIDO,
         INSERTED.IDUTAUTSENHARET,
         INSERTED.IDTPRETIRADA,
         INSERTED.IDALTERARETI,
         INSERTED.IDVDSEMIVDACAB,
         INSERTED.CDFORNECEDBANH,
         INSERTED.VRSERVICO,
         INSERTED.VRPROPORCAO,
         INSERTED.IDLOTEPRODCOMP,
         INSERTED.IDRETPERDAUTO,
         INSERTED.IDLIBLOTEEST,
         INSERTED.IDALTERAFECHA,
         INSERTED.IDRECALCQTOP,
         INSERTED.IDUNIDADEVRINT,
         INSERTED.DSUNIDMEDIDA,
         INSERTED.CDPRODAGUA,
         INSERTED.VRPRODAGUA,
         INSERTED.VRULTPRODAGUA,
         INSERTED.IDBLOQFECHA,
         INSERTED.IDVRUNITPRACAB,

         INSERTED.IDUTBALCWTFECHOP,
         INSERTED.IDMODELOBALANCA,
         INSERTED.IDTIPOCONEXAO,
         INSERTED.DSIPBALANCA,
         INSERTED.CDPORTABALANCA,
         INSERTED.IDINFPESOMANUAL,
         INSERTED.IDUTINCOPPED

      FROM
         DELETED,
         INSERTED
      WHERE
         INSERTED.CDFILIAL  = DELETED.CDFILIAL AND
         INSERTED.CDPARAMAN = DELETED.CDPARAMAN

      UNION ALL

      SELECT
        'I' IDCOMANDO,

         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL,
         NULL, NULL, NULL, NULL, NULL,
         CDFILIAL,
         CDPARAMAN,
         IDATUESTOQ,
         IDATUESTOQ,
         DSSEQULOTEPR,
         DSSEQULOTEPR,
         CDSETORPROD,
         IDUTILIZLOTE,
         QTHRPADRPROD,
         NRTPCUSTOOP,
         CDTIPORETI,
         CDRETIRESE,
         IDGEPERDAREN,
         DTULTATUPMAN,
         IDSUBOPSEMIACA,
         IDBLPRANAINIOP,
         IDUTSEGLIBLOTE,
         IDRESLOTEPEDPLA,
         IDUTEQUIPLAPROD,
         IDUTLOCESTPRACA,
         IDVALANARETPROD,
         IDTPCALCCUSPROD,
         IDUTAPPCC,
         IDVALINSPRETPRO,
         IDPRIORIPROD,
         NRRETMAXLOT,
         IDALTERAPCPRET,
         IDAUDIPROCFAB,
         IDUTAUTSENHA,
         IDGERAOPPEDIDO,
         IDUTAUTSENHARET,
         IDTPRETIRADA,
         IDALTERARETI,
         IDVDSEMIVDACAB,
         CDFORNECEDBANH,
         VRSERVICO,
         VRPROPORCAO,
         IDLOTEPRODCOMP,
         IDRETPERDAUTO,
         IDLIBLOTEEST,
         IDALTERAFECHA,
         IDRECALCQTOP,
         IDUNIDADEVRINT,
         DSUNIDMEDIDA,
         CDPRODAGUA,
         VRPRODAGUA,
         VRULTPRODAGUA,
         IDBLOQFECHA,
         IDVRUNITPRACAB,

         IDUTBALCWTFECHOP,
         IDMODELOBALANCA,
         IDTIPOCONEXAO,
         DSIPBALANCA,
         CDPORTABALANCA,
         IDINFPESOMANUAL,
         IDUTINCOPPED

     FROM
        INSERTED
     WHERE
        0 = (SELECT COUNT(*) FROM DELETED)

   OPEN C_CURSOR;
   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,

    				 @V_CDFILIAL_OLD,
                @V_CDPARAMAN_OLD,
                @V_IDATUESTOQ_OLD,
                @V_DSNUMELOTEPR_OLD,
                @V_DSSEQULOTEPR_OLD,
                @V_CDSETORPROD_OLD,
                @V_IDUTILIZLOTE_OLD,
                @V_QTHRPADRPROD_OLD,
                @V_NRTPCUSTOOP_OLD,
                @V_CDTIPORETI_OLD,
                @V_CDRETIRESE_OLD,
                @V_IDGEPERDAREN_OLD,
                @V_DTULTATUPMAN_OLD,
                @V_IDSUBOPSEMIACA_OLD,
                @V_IDBLPRANAINIOP_OLD,
                @V_IDUTSEGLIBLOTE_OLD,
                @V_IDRESLOTEPEDPLA_OLD,
                @V_IDUTEQUIPLAPROD_OLD,
                @V_IDUTLOCESTPRACA_OLD,
                @V_IDVALANARETPROD_OLD,
                @V_IDTPCALCCUSPROD_OLD,
                @V_IDUTAPPCC_OLD,
                @V_IDVALINSPRETPRO_OLD,
                @V_IDPRIORIPROD_OLD,
                @V_NRRETMAXLOT_OLD,
                @V_IDALTERAPCPRET_OLD,
                @V_IDLOTEPROD_OLD,
                @V_IDAUDIPROCFAB_OLD,
                @V_IDUTAUTSENHA_OLD,
                @V_IDGERAOPPEDIDO_OLD,
                @V_IDUTAUTSENHARET_OLD,
                @V_IDTPRETIRADA_OLD,
                @V_IDALTERARETI_OLD,
                @V_IDVDSEMIVDACAB_OLD,
                @V_CDFORNECEDBANH_OLD,
                @V_VRSERVICO_OLD,
                @V_VRPROPORCAO_OLD,
                @V_IDLOTEPRODCOMP_OLD,
                @V_IDRETPERDAUTO_OLD,
                @V_IDLIBLOTEEST_OLD,
                @V_IDALTERAFECHA_OLD,
                @V_IDRECALCQTOP_OLD,
                @V_IDUNIDADEVRINT_OLD,
                @V_DSUNIDMEDIDA_OLD,
                @V_CDPRODAGUA_OLD,
                @V_VRPRODAGUA_OLD,
                @V_VRULTPRODAGUA_OLD,
                @V_IDBLOQFECHA_OLD,
                @V_IDVRUNITPRACAB_OLD,

                @V_IDUTBALCWTFECHOP_OLD,
                @V_IDMODELOBALANCA_OLD,
                @V_IDTIPOCONEXAO_OLD,
                @V_DSIPBALANCA_OLD,
                @V_CDPORTABALANCA_OLD,
                @V_IDINFPESOMANUAL_OLD,
                @V_IDUTINCOPPED_OLD,

                @V_CDFILIAL_NEW,
                @V_CDPARAMAN_NEW,
                @V_IDATUESTOQ_NEW,
                @V_DSNUMELOTEPR_NEW,
                @V_DSSEQULOTEPR_NEW,
                @V_CDSETORPROD_NEW,
                @V_IDUTILIZLOTE_NEW,
                @V_QTHRPADRPROD_NEW,
                @V_NRTPCUSTOOP_NEW,
                @V_CDTIPORETI_NEW,
                @V_CDRETIRESE_NEW,
                @V_IDGEPERDAREN_NEW,
                @V_DTULTATUPMAN_NEW,
                @V_IDSUBOPSEMIACA_NEW,
                @V_IDBLPRANAINIOP_NEW,
                @V_IDUTSEGLIBLOTE_NEW,
                @V_IDRESLOTEPEDPLA_NEW,
                @V_IDUTEQUIPLAPROD_NEW,
                @V_IDUTLOCESTPRACA_NEW,
                @V_IDVALANARETPROD_NEW,
                @V_IDTPCALCCUSPROD_NEW,
                @V_IDUTAPPCC_NEW,
                @V_IDVALINSPRETPRO_NEW,
                @V_IDPRIORIPROD_NEW,
                @V_NRRETMAXLOT_NEW,
                @V_IDALTERAPCPRET_NEW,
                @V_IDLOTEPROD_NEW,
                @V_IDAUDIPROCFAB_NEW,
                @V_IDUTAUTSENHA_NEW,
                @V_IDGERAOPPEDIDO_NEW,
                @V_IDUTAUTSENHARET_NEW,
                @V_IDTPRETIRADA_NEW,
                @V_IDALTERARETI_NEW,
                @V_IDVDSEMIVDACAB_NEW,
                @V_CDFORNECEDBANH_NEW,
                @V_VRSERVICO_NEW,
                @V_VRPROPORCAO_NEW,
                @V_IDLOTEPRODCOMP_NEW,
                @V_IDRETPERDAUTO_NEW,
                @V_IDLIBLOTEEST_NEW,
                @V_IDALTERAFECHA_NEW,
                @V_IDRECALCQTOP_NEW,
                @V_IDUNIDADEVRINT_NEW,
                @V_DSUNIDMEDIDA_NEW,
                @V_CDPRODAGUA_NEW,
                @V_VRPRODAGUA_NEW,
                @V_VRULTPRODAGUA_NEW,
                @V_IDBLOQFECHA_NEW,
                @V_IDVRUNITPRACAB_NEW,

                @V_IDUTBALCWTFECHOP_NEW,
                @V_IDMODELOBALANCA_NEW,
                @V_IDTIPOCONEXAO_NEW,
                @V_DSIPBALANCA_NEW,
                @V_CDPORTABALANCA_NEW,
                @V_IDINFPESOMANUAL_NEW,
                @V_IDUTINCOPPED_NEW;

      WHILE (@@FETCH_STATUS = 0) BEGIN

         IF @V_ID_TRIGGER = 'I' BEGIN

            IF @V_CDFILIAL_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdFilial= ' + ISNULL(@V_CDFILIAL_NEW,'') + ' ';
            END;

            IF @V_CDPARAMAN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdParaman= ' + ISNULL(@V_CDPARAMAN_NEW,'') + ' ';
            END;

            IF @V_IDATUESTOQ_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAtuEstoq= ' + ISNULL(@V_IDATUESTOQ_NEW,'') + ' ';
            END;

            IF @V_DSNUMELOTEPR_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsNumeLotePr= ' + ISNULL(@V_DSNUMELOTEPR_NEW,'') + ' ';
            END;

            IF @V_DSSEQULOTEPR_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsSequLotePr= ' + ISNULL(@V_DSSEQULOTEPR_NEW,'') + ' ';
            END;

            IF @V_CDSETORPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdSetorProd= ' + ISNULL(@V_CDSETORPROD_NEW,'') + ' ';
            END;

            IF @V_IDUTILIZLOTE_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtilizLote= ' + ISNULL(@V_IDUTILIZLOTE_NEW,'') + ' ';
            END;

            IF @V_QTHRPADRPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'QtHrPadrProd= ' + ISNULL(@V_QTHRPADRPROD_NEW,'') + ' ';
            END;

            IF @V_NRTPCUSTOOP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NrTpCustoOp= ' + ISNULL(@V_NRTPCUSTOOP_NEW,'') + ' ';
            END;

            IF @V_CDTIPORETI_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdTipoReti= ' + ISNULL(@V_CDTIPORETI_NEW,'') + ' ';
            END;

            IF @V_CDRETIRESE_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdRetiRese= ' + ISNULL(@V_CDRETIRESE_NEW,'') + ' ';
            END;

            IF @V_IDGEPERDAREN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdGePerdaRen= ' + ISNULL(@V_IDGEPERDAREN_NEW,'') + ' ';
            END;

            IF @V_DTULTATUPMAN_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DtUltAtuPMan= ' + ISNULL(@V_DTULTATUPMAN_NEW,'') + ' ';
            END;

            IF @V_IDSUBOPSEMIACA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdSubOpSemiAca= ' + ISNULL(@V_IDSUBOPSEMIACA_NEW,'') + ' ';
            END;

            IF @V_IDBLPRANAINIOP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdBlPrAnaIniOp= ' + ISNULL(@V_IDBLPRANAINIOP_NEW,'') + ' ';
            END;

            IF @V_IDUTSEGLIBLOTE_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtSegLibLote= ' + ISNULL(@V_IDUTSEGLIBLOTE_NEW,'') + ' ';
            END;

            IF @V_IDRESLOTEPEDPLA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdResLotePedPla= ' + ISNULL(@V_IDRESLOTEPEDPLA_NEW,'') + ' ';
            END;

            IF @V_IDUTEQUIPLAPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtEquiPlaProd= ' + ISNULL(@V_IDUTEQUIPLAPROD_NEW,'') + ' ';
            END;

            IF @V_IDUTLOCESTPRACA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtLocEstPrAca= ' + ISNULL(@V_IDUTLOCESTPRACA_NEW,'') + ' ';
            END;

            IF @V_IDVALANARETPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdValAnaRetProd= ' + ISNULL(@V_IDVALANARETPROD_NEW,'') + ' ';
            END;

            IF @V_IDTPCALCCUSPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdTpCalcCusProd= ' + ISNULL(@V_IDTPCALCCUSPROD_NEW,'') + ' ';
            END;

            IF @V_IDUTAPPCC_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtApPcc= ' + ISNULL(@V_IDUTAPPCC_NEW,'') + ' ';
            END;

            IF @V_IDVALINSPRETPRO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdValInspRetPro= ' + ISNULL(@V_IDVALINSPRETPRO_NEW,'') + ' ';
            END;


            IF @V_IDPRIORIPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdPrioriProd= ' + ISNULL(@V_IDPRIORIPROD_NEW,'') + ' ';
            END;

            IF @V_NRRETMAXLOT_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NrRetMaxLot= ' + ISNULL(@V_NRRETMAXLOT_NEW,'') + ' ';
            END;

            IF @V_IDALTERAPCPRET_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraPcpRet= ' + ISNULL(@V_IDALTERAPCPRET_NEW,'') + ' ';
            END;

            IF @V_IDLOTEPROD_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProd= ' + ISNULL(@V_IDLOTEPROD_NEW,'') + ' ';
            END;

            IF @V_IDAUDIPROCFAB_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAudiProcFab= ' + ISNULL(@V_IDAUDIPROCFAB_NEW,'') + ' ';
            END;

            IF @V_IDUTAUTSENHA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenha= ' + ISNULL(@V_IDUTAUTSENHA_NEW,'') + ' ';
            END;

            IF @V_IDGERAOPPEDIDO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdGeraOpPedido= ' + ISNULL(@V_IDGERAOPPEDIDO_NEW,'') + ' ';
            END;

            IF @V_IDUTAUTSENHARET_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenhaRet= ' + ISNULL(@V_IDUTAUTSENHARET_NEW,'') + ' ';
            END;

            IF @V_IDTPRETIRADA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdTpRetirada= ' + ISNULL(@V_IDTPRETIRADA_NEW,'') + ' ';
            END;

            IF @V_IDALTERARETI_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraReti= ' + ISNULL(@V_IDALTERARETI_NEW,'') + ' ';
            END;

            IF @V_IDVDSEMIVDACAB_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdVdSemiVdAcab= ' + ISNULL(@V_IDVDSEMIVDACAB_NEW,'') + ' ';
            END;

            IF @V_CDFORNECEDBANH_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdFornecedBanh= ' + ISNULL(@V_CDFORNECEDBANH_NEW,'') + ' ';
            END;

            IF @V_VRSERVICO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrServico= ' + ISNULL(@V_VRSERVICO_NEW,'') + ' ';
            END;

            IF @V_VRPROPORCAO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrProporcao= ' + ISNULL(@V_VRPROPORCAO_NEW,'') + ' ';
            END;

            IF @V_IDLOTEPRODCOMP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProdComp= ' + ISNULL(@V_IDLOTEPRODCOMP_NEW,'') + ' ';
            END;

            IF @V_IDRETPERDAUTO_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdRetPerdAuto= ' + ISNULL(@V_IDRETPERDAUTO_NEW,'') + ' ';
            END;

            IF @V_IDLIBLOTEEST_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLibLoteEst= ' + ISNULL(@V_IDLIBLOTEEST_NEW,'') + ' ';
            END;

            IF @V_IDALTERAFECHA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraFecha= ' + ISNULL(@V_IDALTERAFECHA_NEW,'') + ' ';
            END;

            IF @V_IDRECALCQTOP_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdRecalcQtOp= ' + ISNULL(@V_IDRECALCQTOP_NEW,'') + ' ';
            END;

            IF @V_IDUNIDADEVRINT_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUnidadeVrInt= ' + ISNULL(@V_IDUNIDADEVRINT_NEW,'') + ' ';
            END;

            IF @V_DSUNIDMEDIDA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsUnidMedida= ' + ISNULL(@V_DSUNIDMEDIDA_NEW,'') + ' ';
            END;

            IF @V_CDPRODAGUA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdProdAgua= ' + ISNULL(@V_CDPRODAGUA_NEW,'') + ' ';
            END;

            IF @V_VRPRODAGUA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrProdAgua= ' + ISNULL(@V_VRPRODAGUA_NEW,'') + ' ';
            END;

            IF @V_VRULTPRODAGUA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrUltProdAgua= ' + ISNULL(@V_VRULTPRODAGUA_NEW,'') + ' ';
            END;

            IF @V_IDBLOQFECHA_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdBloqFecha= ' + ISNULL(@V_IDBLOQFECHA_NEW,'') + ' ';
            END;

            IF @V_IDVRUNITPRACAB_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CalcVrUnitQtReal= ' + ISNULL(@V_IDVRUNITPRACAB_NEW,'') + ' ';
            END;

            IF @V_IDUTINCOPPED_NEW IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTINCOPPED= ' + ISNULL(@V_IDUTINCOPPED_NEW,'') + ' ';
            END;

           SET @V_IDTIPOOPER = '1';
         END
         ELSE BEGIN
            IF @V_ID_TRIGGER = 'U' BEGIN

            IF (@V_CDFILIAL_OLD <> @V_CDFILIAL_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdFilial= ' + ISNULL(@V_CDFILIAL_NEW,'') + ' ';
            END;

            IF (@V_CDPARAMAN_OLD <> @V_CDPARAMAN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdParaman= ' + ISNULL(@V_CDPARAMAN_NEW,'') + ' ';
            END;

            IF (@V_IDATUESTOQ_OLD <> @V_IDATUESTOQ_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdAtuEstoq= ' + ISNULL(@V_IDATUESTOQ_NEW,'') + ' ';
            END;

            IF (@V_DSNUMELOTEPR_OLD <> @V_DSNUMELOTEPR_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DsNumeLotePr= ' + ISNULL(@V_DSNUMELOTEPR_NEW,'') + ' ';
            END;

            IF (@V_DSSEQULOTEPR_OLD <> @V_DSSEQULOTEPR_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DsSequLotePr= ' + ISNULL(@V_DSSEQULOTEPR_NEW,'') + ' ';
            END;

            IF (@V_CDSETORPROD_NEW <> @V_CDSETORPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdSetorProd= ' + ISNULL(@V_CDSETORPROD_NEW,'') + ' ';
            END;

            IF (@V_IDUTILIZLOTE_OLD <> @V_IDUTILIZLOTE_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtilizLote= ' + ISNULL(@V_IDUTILIZLOTE_NEW,'') + ' ';
            END;

            IF (@V_QTHRPADRPROD_OLD <> @V_QTHRPADRPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'QtHrPadrProd= ' + ISNULL(@V_QTHRPADRPROD_NEW,'') + ' ';
            END;

            IF (@V_NRTPCUSTOOP_OLD <> @V_NRTPCUSTOOP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'NrTpCustoOp= ' + ISNULL(@V_NRTPCUSTOOP_NEW,'') + ' ';
            END;

            IF (@V_CDTIPORETI_OLD <> @V_CDTIPORETI_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdTipoReti= ' + ISNULL(@V_CDTIPORETI_NEW,'') + ' ';
            END;

            IF (@V_CDRETIRESE_OLD <> @V_CDRETIRESE_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdRetiRese= ' + ISNULL(@V_CDRETIRESE_NEW,'') + ' ';
            END;

            IF (@V_IDGEPERDAREN_OLD <> @V_IDGEPERDAREN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdGePerdaRen= ' + ISNULL(@V_IDGEPERDAREN_NEW,'') + ' ';
            END;

            IF (@V_DTULTATUPMAN_OLD <> @V_DTULTATUPMAN_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DtUltAtuPMan= ' + ISNULL(@V_DTULTATUPMAN_NEW,'') + ' ';
            END;

            IF (@V_IDSUBOPSEMIACA_OLD <> @V_IDSUBOPSEMIACA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdSubOpSemiAca= ' + ISNULL(@V_IDSUBOPSEMIACA_NEW,'') + ' ';
            END;

            IF (@V_IDBLPRANAINIOP_OLD <> @V_IDBLPRANAINIOP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdBlPrAnaIniOp= ' + ISNULL(@V_IDBLPRANAINIOP_NEW,'') + ' ';
            END;

            IF (@V_IDUTSEGLIBLOTE_OLD <> @V_IDUTSEGLIBLOTE_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtSegLibLote= ' + ISNULL(@V_IDUTSEGLIBLOTE_NEW,'') + ' ';
            END;

            IF (@V_IDRESLOTEPEDPLA_OLD <> @V_IDRESLOTEPEDPLA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdResLotePedPla= ' + ISNULL(@V_IDRESLOTEPEDPLA_NEW,'') + ' ';
            END;

            IF (@V_IDUTEQUIPLAPROD_OLD <> @V_IDUTEQUIPLAPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtEquiPlaProd= ' + ISNULL(@V_IDUTEQUIPLAPROD_NEW,'') + ' ';
            END;

            IF (@V_IDUTLOCESTPRACA_OLD <> @V_IDUTLOCESTPRACA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtLocEstPrAca= ' + ISNULL(@V_IDUTLOCESTPRACA_NEW,'') + ' ';
            END;

            IF (@V_IDVALANARETPROD_OLD <> @V_IDVALANARETPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdValAnaRetProd= ' + ISNULL(@V_IDVALANARETPROD_NEW,'') + ' ';
            END;

            IF (@V_IDTPCALCCUSPROD_OLD <> @V_IDTPCALCCUSPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdTpCalcCusProd= ' + ISNULL(@V_IDTPCALCCUSPROD_NEW,'') + ' ';
            END;

            IF (@V_IDUTAPPCC_OLD <> @V_IDUTAPPCC_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtApPcc= ' + ISNULL(@V_IDUTAPPCC_NEW,'') + ' ';
            END;

            IF (@V_IDVALINSPRETPRO_OLD <> @V_IDVALINSPRETPRO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdValInspRetPro= ' + ISNULL(@V_IDVALINSPRETPRO_NEW,'') + ' ';
            END;

            IF (@V_IDPRIORIPROD_OLD <> @V_IDPRIORIPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdPrioriProd= ' + ISNULL(@V_IDPRIORIPROD_NEW,'') + ' ';
            END;

            IF (@V_NRRETMAXLOT_OLD <> @V_NRRETMAXLOT_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'NrRetMaxLot= ' + ISNULL(@V_NRRETMAXLOT_NEW,'') + ' ';
            END;

            IF (@V_IDALTERAPCPRET_OLD <> @V_IDALTERAPCPRET_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraPcpRet= ' + ISNULL(@V_IDALTERAPCPRET_NEW,'') + ' ';
            END;

            IF (@V_IDLOTEPROD_OLD <> @V_IDLOTEPROD_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProd= ' + ISNULL(@V_IDLOTEPROD_NEW,'') + ' ';
            END;

            IF (@V_IDAUDIPROCFAB_OLD <> @V_IDAUDIPROCFAB_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdAudiProcFab= ' + ISNULL(@V_IDAUDIPROCFAB_NEW,'') + ' ';
            END;

            IF (@V_IDUTAUTSENHA_OLD <> @V_IDUTAUTSENHA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenha= ' + ISNULL(@V_IDUTAUTSENHA_NEW,'') + ' ';
            END;

            IF (@V_IDGERAOPPEDIDO_OLD <> @V_IDGERAOPPEDIDO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdGeraOpPedido= ' + ISNULL(@V_IDGERAOPPEDIDO_NEW,'') + ' ';
            END;

            IF (@V_IDUTAUTSENHARET_OLD <> @V_IDUTAUTSENHARET_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenhaRet= ' + ISNULL(@V_IDUTAUTSENHARET_NEW,'') + ' ';
            END;

            IF (@V_IDTPRETIRADA_OLD <> @V_IDTPRETIRADA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdTpRetirada= ' + ISNULL(@V_IDTPRETIRADA_NEW,'') + ' ';
            END;

            IF (@V_IDALTERARETI_OLD <> @V_IDALTERARETI_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraReti= ' + ISNULL(@V_IDALTERARETI_NEW,'') + ' ';
            END;

            IF (@V_IDVDSEMIVDACAB_OLD <> @V_IDVDSEMIVDACAB_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdVdSemiVdAcab= ' + ISNULL(@V_IDVDSEMIVDACAB_NEW,'') + ' ';
            END;

            IF (@V_CDFORNECEDBANH_OLD <> @V_CDFORNECEDBANH_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdFornecedBanh= ' + ISNULL(@V_CDFORNECEDBANH_NEW,'') + ' ';
            END;

            IF (@V_VRSERVICO_OLD <> @V_VRSERVICO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VrServico= ' + ISNULL(@V_VRSERVICO_NEW,'') + ' ';
            END;

            IF (@V_VRPROPORCAO_OLD <> @V_VRPROPORCAO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VrProporcao= ' + ISNULL(@V_VRPROPORCAO_NEW,'') + ' ';
            END;

            IF (@V_IDLOTEPRODCOMP_OLD <> @V_IDLOTEPRODCOMP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProdComp= ' + ISNULL(@V_IDLOTEPRODCOMP_NEW,'') + ' ';
            END;

            IF (@V_IDRETPERDAUTO_OLD <> @V_IDRETPERDAUTO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdRetPerdAuto= ' + ISNULL(@V_IDRETPERDAUTO_NEW,'') + ' ';
            END;

            IF (@V_IDLIBLOTEEST_OLD <> @V_IDLIBLOTEEST_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdLibLoteEst= ' + ISNULL(@V_IDLIBLOTEEST_NEW,'') + ' ';
            END;

            IF (@V_IDALTERAFECHA_OLD <> @V_IDALTERAFECHA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraFecha= ' + ISNULL(@V_IDALTERAFECHA_NEW,'') + ' ';
            END;

            IF (@V_IDRECALCQTOP_OLD <> @V_IDRECALCQTOP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdRecalcQtOp= ' + ISNULL(@V_IDRECALCQTOP_NEW,'') + ' ';
            END;

            IF (@V_IDUNIDADEVRINT_OLD <> @V_IDUNIDADEVRINT_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdUnidadeVrInt= ' + ISNULL(@V_IDUNIDADEVRINT_NEW,'') + ' ';
            END;

            IF (@V_DSUNIDMEDIDA_OLD <> @V_DSUNIDMEDIDA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DsUnidMedida= ' + ISNULL(@V_DSUNIDMEDIDA_NEW,'') + ' ';
            END;

            IF (@V_CDPRODAGUA_OLD <> @V_CDPRODAGUA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CdProdAgua= ' + ISNULL(@V_CDPRODAGUA_NEW,'') + ' ';
            END;

            IF (@V_VRPRODAGUA_OLD <> @V_VRPRODAGUA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VrProdAgua= ' + ISNULL(@V_VRPRODAGUA_NEW,'') + ' ';
            END;

            IF (@V_VRULTPRODAGUA_OLD <> @V_VRULTPRODAGUA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'VrUltProdAgua= ' + ISNULL(@V_VRULTPRODAGUA_NEW,'') + ' ';
            END;

            IF (@V_IDBLOQFECHA_OLD <> @V_IDBLOQFECHA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IdBloqFecha= ' + ISNULL(@V_IDBLOQFECHA_NEW,'') + ' ';
            END;

            IF (@V_IDVRUNITPRACAB_OLD <> @V_IDVRUNITPRACAB_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CalcVrUnitQtReal= ' + ISNULL(@V_IDVRUNITPRACAB_NEW,'') + ' ';
            END;

            IF (@V_IDUTBALCWTFECHOP_OLD <> @V_IDUTBALCWTFECHOP_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDUTBALCWTFECHOP= ' + ISNULL(@V_IDUTBALCWTFECHOP_NEW,'') + ' ';
            END;

            IF (@V_IDMODELOBALANCA_OLD <> @V_IDMODELOBALANCA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDMODELOBALANCA= ' + ISNULL(@V_IDMODELOBALANCA_NEW,'') + ' ';
            END;

            IF (@V_IDTIPOCONEXAO_OLD <> @V_IDTIPOCONEXAO_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDTIPOCONEXAO= ' + ISNULL(@V_IDTIPOCONEXAO_NEW,'') + ' ';
            END;

            IF (@V_DSIPBALANCA_OLD <> @V_DSIPBALANCA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'DSIPBALANCA= ' + ISNULL(@V_DSIPBALANCA_NEW,'') + ' ';
            END;

            IF (@V_CDPORTABALANCA_OLD <> @V_CDPORTABALANCA_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'CDPORTABALANCA= ' + ISNULL(@V_CDPORTABALANCA_NEW,'') + ' ';
            END;

            IF (@V_IDINFPESOMANUAL_OLD <> @V_IDINFPESOMANUAL_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDINFPESOMANUAL= ' + ISNULL(@V_IDINFPESOMANUAL_NEW,'') + ' ';
            END;

            IF (@V_IDUTINCOPPED_OLD <> @V_IDUTINCOPPED_NEW) BEGIN
               SET @V_DESC = @V_DESC + 'IDUTINCOPPED= ' + ISNULL(@V_IDUTINCOPPED_NEW,'') + ' ';
            END;

            SET @V_IDTIPOOPER = '2';

         END;

         IF @V_ID_TRIGGER = 'D'  BEGIN

            IF @V_CDFILIAL_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdFilial= ' + ISNULL(@V_CDFILIAL_OLD,'') + ' ';
            END;

            IF @V_CDPARAMAN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdParaman= ' + ISNULL(@V_CDPARAMAN_OLD,'') + ' ';
            END;

            IF @V_IDATUESTOQ_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAtuEstoq= ' + ISNULL(@V_IDATUESTOQ_OLD,'') + ' ';
            END;

            IF @V_DSNUMELOTEPR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsNumeLotePr= ' + ISNULL(@V_DSNUMELOTEPR_OLD,'') + ' ';
            END;

            IF @V_DSSEQULOTEPR_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsSequLotePr= ' + ISNULL(@V_DSSEQULOTEPR_OLD,'') + ' ';
            END;

            IF @V_CDSETORPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdSetorProd= ' + ISNULL(@V_CDSETORPROD_OLD,'') + ' ';
            END;

            IF @V_IDUTILIZLOTE_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtilizLote= ' + ISNULL(@V_IDUTILIZLOTE_OLD,'') + ' ';
            END;

            IF @V_QTHRPADRPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'QtHrPadrProd= ' + ISNULL(@V_QTHRPADRPROD_OLD,'') + ' ';
            END;

            IF @V_NRTPCUSTOOP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NrTpCustoOp= ' + ISNULL(@V_NRTPCUSTOOP_OLD,'') + ' ';
            END;

            IF @V_CDTIPORETI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdTipoReti= ' + ISNULL(@V_CDTIPORETI_OLD,'') + ' ';
            END;

            IF @V_CDRETIRESE_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdRetiRese= ' + ISNULL(@V_CDRETIRESE_OLD,'') + ' ';
            END;

            IF @V_IDGEPERDAREN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdGePerdaRen= ' + ISNULL(@V_IDGEPERDAREN_OLD,'') + ' ';
            END;

            IF @V_DTULTATUPMAN_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DtUltAtuPMan= ' + ISNULL(@V_DTULTATUPMAN_OLD,'') + ' ';
            END;

            IF @V_IDSUBOPSEMIACA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdSubOpSemiAca= ' + ISNULL(@V_IDSUBOPSEMIACA_OLD,'') + ' ';
            END;

            IF @V_IDBLPRANAINIOP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdBlPrAnaIniOp= ' + ISNULL(@V_IDBLPRANAINIOP_OLD,'') + ' ';
            END;

            IF @V_IDUTSEGLIBLOTE_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtSegLibLote= ' + ISNULL(@V_IDUTSEGLIBLOTE_OLD,'') + ' ';
            END;

            IF @V_IDRESLOTEPEDPLA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdResLotePedPla= ' + ISNULL(@V_IDRESLOTEPEDPLA_OLD,'') + ' ';
            END;

            IF @V_IDUTEQUIPLAPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtEquiPlaProd= ' + ISNULL(@V_IDUTEQUIPLAPROD_OLD,'') + ' ';
            END;

            IF @V_IDUTLOCESTPRACA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtLocEstPrAca= ' + ISNULL(@V_IDUTLOCESTPRACA_OLD,'') + ' ';
            END;

            IF @V_IDVALANARETPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdValAnaRetProd= ' + ISNULL(@V_IDVALANARETPROD_OLD,'') + ' ';
            END;

            IF @V_IDTPCALCCUSPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdTpCalcCusProd= ' + ISNULL(@V_IDTPCALCCUSPROD_OLD,'') + ' ';
            END;

            IF @V_IDUTAPPCC_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtApPcc= ' + ISNULL(@V_IDUTAPPCC_OLD,'') + ' ';
            END;

            IF @V_IDVALINSPRETPRO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdValInspRetPro= ' + ISNULL(@V_IDVALINSPRETPRO_OLD,'') + ' ';
            END;


            IF @V_IDPRIORIPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdPrioriProd= ' + ISNULL(@V_IDPRIORIPROD_OLD,'') + ' ';
            END;

            IF @V_NRRETMAXLOT_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'NrRetMaxLot= ' + ISNULL(@V_NRRETMAXLOT_OLD,'') + ' ';
            END;

            IF @V_IDALTERAPCPRET_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraPcpRet= ' + ISNULL(@V_IDALTERAPCPRET_OLD,'') + ' ';
            END;

            IF @V_IDLOTEPROD_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProd= ' + ISNULL(@V_IDLOTEPROD_OLD,'') + ' ';
            END;

            IF @V_IDAUDIPROCFAB_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAudiProcFab= ' + ISNULL(@V_IDAUDIPROCFAB_OLD,'') + ' ';
            END;

            IF @V_IDUTAUTSENHA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenha= ' + ISNULL(@V_IDUTAUTSENHA_OLD,'') + ' ';
            END;

            IF @V_IDGERAOPPEDIDO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdGeraOpPedido= ' + ISNULL(@V_IDGERAOPPEDIDO_OLD,'') + ' ';
            END;

            IF @V_IDUTAUTSENHARET_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUtAutSenhaRet= ' + ISNULL(@V_IDUTAUTSENHARET_OLD,'') + ' ';
            END;

            IF @V_IDTPRETIRADA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdTpRetirada= ' + ISNULL(@V_IDTPRETIRADA_OLD,'') + ' ';
            END;

            IF @V_IDALTERARETI_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraReti= ' + ISNULL(@V_IDALTERARETI_OLD,'') + ' ';
            END;

            IF @V_IDVDSEMIVDACAB_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdVdSemiVdAcab= ' + ISNULL(@V_IDVDSEMIVDACAB_OLD,'') + ' ';
            END;

            IF @V_CDFORNECEDBANH_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdFornecedBanh= ' + ISNULL(@V_CDFORNECEDBANH_OLD,'') + ' ';
            END;

            IF @V_VRSERVICO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrServico= ' + ISNULL(@V_VRSERVICO_OLD,'') + ' ';
            END;

            IF @V_VRPROPORCAO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrProporcao= ' + ISNULL(@V_VRPROPORCAO_OLD,'') + ' ';
            END;

            IF @V_IDLOTEPRODCOMP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLoteProdComp= ' + ISNULL(@V_IDLOTEPRODCOMP_OLD,'') + ' ';
            END;

            IF @V_IDRETPERDAUTO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdRetPerdAuto= ' + ISNULL(@V_IDRETPERDAUTO_OLD,'') + ' ';
            END;

            IF @V_IDLIBLOTEEST_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdLibLoteEst= ' + ISNULL(@V_IDLIBLOTEEST_OLD,'') + ' ';
            END;

            IF @V_IDALTERAFECHA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdAlteraFecha= ' + ISNULL(@V_IDALTERAFECHA_OLD,'') + ' ';
            END;

            IF @V_IDRECALCQTOP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdRecalcQtOp= ' + ISNULL(@V_IDRECALCQTOP_OLD,'') + ' ';
            END;

            IF @V_IDUNIDADEVRINT_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IdUnidadeVrInt= ' + ISNULL(@V_IDUNIDADEVRINT_OLD,'') + ' ';
            END;

            IF @V_DSUNIDMEDIDA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DsUnidMedida= ' + ISNULL(@V_DSUNIDMEDIDA_OLD,'') + ' ';
            END;

            IF @V_CDPRODAGUA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CdProdAgua= ' + ISNULL(@V_CDPRODAGUA_OLD,'') + ' ';
            END;

            IF @V_VRPRODAGUA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrProdAgua= ' + ISNULL(@V_VRPRODAGUA_OLD,'') + ' ';
            END;

            IF @V_VRULTPRODAGUA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrUltProdAgua= ' + ISNULL(@V_VRULTPRODAGUA_OLD,'') + ' ';
            END;

            IF @V_IDBLOQFECHA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'VrIdBloqFecha= ' + ISNULL(@V_IDBLOQFECHA_OLD,'') + ' ';
            END;

            IF @V_IDVRUNITPRACAB_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CalcVrUnitQtReal= ' + ISNULL(@V_IDVRUNITPRACAB_OLD,'') + ' ';
            END;

            IF @V_IDUTBALCWTFECHOP_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTBALCWTFECHOP= ' + ISNULL(@V_IDUTBALCWTFECHOP_OLD,'') + ' ';
            END;

            IF @V_IDMODELOBALANCA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDMODELOBALANCA= ' + ISNULL(@V_IDMODELOBALANCA_OLD,'') + ' ';
            END;

            IF @V_IDTIPOCONEXAO_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDTIPOCONEXAO= ' + ISNULL(@V_IDTIPOCONEXAO_OLD,'') + ' ';
            END;

            IF @V_DSIPBALANCA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'DSIPBALANCA= ' + ISNULL(@V_DSIPBALANCA_OLD,'') + ' ';
            END;

            IF @V_CDPORTABALANCA_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'CDPORTABALANCA= ' + ISNULL(@V_CDPORTABALANCA_OLD,'') + ' ';
            END;

            IF @V_IDINFPESOMANUAL_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDINFPESOMANUAL= ' + ISNULL(@V_IDINFPESOMANUAL_OLD,'') + ' ';
            END;

            IF @V_IDUTINCOPPED_OLD IS NOT NULL BEGIN
               SET @V_DESC = @V_DESC + 'IDUTINCOPPED= ' + ISNULL(@V_IDUTINCOPPED_OLD,'') + ' ';
            END;

            SET @V_IDTIPOOPER = '3';
         END;
      END;

     IF NOT (@V_DESC IS NULL) BEGIN

        INSERT INTO LOGOPERA ( NMTABELA, DTOPERACAO, NMRESPOPER,
                               IDTIPOOPER,   DSOPERACAO, CDPESQITEM,
                               DSRDMUSUOPER, DSENDUSUOPER, DSNMUSUOPER,
                               DSMETUSUOPER, CDORESPOPER)
                    VALUES   ('PARAMAN', GETDATE() ,    ISNULL(@V_NMOPERADOR,' '),
                               @V_IDTIPOOPER,   @V_DESC, @V_ITPESQ,
                               @V_DSSERVERRDM, @V_DSREMOTEADDR,  @V_DSREMOTEHOST,
                               @V_DSSERVMETHOD,   @V_DSREMOTEOPER);
     END;

   FETCH NEXT FROM C_CURSOR INTO @V_ID_TRIGGER,

    				 @V_CDFILIAL_OLD,
                @V_CDPARAMAN_OLD,
                @V_IDATUESTOQ_OLD,
                @V_DSNUMELOTEPR_OLD,
                @V_DSSEQULOTEPR_OLD,
                @V_CDSETORPROD_OLD,
                @V_IDUTILIZLOTE_OLD,
                @V_QTHRPADRPROD_OLD,
                @V_NRTPCUSTOOP_OLD,
                @V_CDTIPORETI_OLD,
                @V_CDRETIRESE_OLD,
                @V_IDGEPERDAREN_OLD,
                @V_DTULTATUPMAN_OLD,
                @V_IDSUBOPSEMIACA_OLD,
                @V_IDBLPRANAINIOP_OLD,
                @V_IDUTSEGLIBLOTE_OLD,
                @V_IDRESLOTEPEDPLA_OLD,
                @V_IDUTEQUIPLAPROD_OLD,
                @V_IDUTLOCESTPRACA_OLD,
                @V_IDVALANARETPROD_OLD,
                @V_IDTPCALCCUSPROD_OLD,
                @V_IDUTAPPCC_OLD,
                @V_IDVALINSPRETPRO_OLD,
                @V_IDPRIORIPROD_OLD,
                @V_NRRETMAXLOT_OLD,
                @V_IDALTERAPCPRET_OLD,
                @V_IDLOTEPROD_OLD,
                @V_IDAUDIPROCFAB_OLD,
                @V_IDUTAUTSENHA_OLD,
                @V_IDGERAOPPEDIDO_OLD,
                @V_IDUTAUTSENHARET_OLD,
                @V_IDTPRETIRADA_OLD,
                @V_IDALTERARETI_OLD,
                @V_IDVDSEMIVDACAB_OLD,
                @V_CDFORNECEDBANH_OLD,
                @V_VRSERVICO_OLD,
                @V_VRPROPORCAO_OLD,
                @V_IDLOTEPRODCOMP_OLD,
                @V_IDRETPERDAUTO_OLD,
                @V_IDLIBLOTEEST_OLD,
                @V_IDALTERAFECHA_OLD,
                @V_IDRECALCQTOP_OLD,
                @V_IDUNIDADEVRINT_OLD,
                @V_DSUNIDMEDIDA_OLD,
                @V_CDPRODAGUA_OLD,
                @V_VRPRODAGUA_OLD,
                @V_VRULTPRODAGUA_OLD,
                @V_IDBLOQFECHA_OLD,
                @V_IDVRUNITPRACAB_OLD,

                @V_IDUTBALCWTFECHOP_OLD,
                @V_IDMODELOBALANCA_OLD,
                @V_IDTIPOCONEXAO_OLD,
                @V_DSIPBALANCA_OLD,
                @V_CDPORTABALANCA_OLD,
                @V_IDINFPESOMANUAL_OLD,
                @V_IDUTINCOPPED_OLD,

                @V_CDFILIAL_NEW,
                @V_CDPARAMAN_NEW,
                @V_IDATUESTOQ_NEW,
                @V_DSNUMELOTEPR_NEW,
                @V_DSSEQULOTEPR_NEW,
                @V_CDSETORPROD_NEW,
                @V_IDUTILIZLOTE_NEW,
                @V_QTHRPADRPROD_NEW,
                @V_NRTPCUSTOOP_NEW,
                @V_CDTIPORETI_NEW,
                @V_CDRETIRESE_NEW,
                @V_IDGEPERDAREN_NEW,
                @V_DTULTATUPMAN_NEW,
                @V_IDSUBOPSEMIACA_NEW,
                @V_IDBLPRANAINIOP_NEW,
                @V_IDUTSEGLIBLOTE_NEW,
                @V_IDRESLOTEPEDPLA_NEW,
                @V_IDUTEQUIPLAPROD_NEW,
                @V_IDUTLOCESTPRACA_NEW,
                @V_IDVALANARETPROD_NEW,
                @V_IDTPCALCCUSPROD_NEW,
                @V_IDUTAPPCC_NEW,
                @V_IDVALINSPRETPRO_NEW,
                @V_IDPRIORIPROD_NEW,
                @V_NRRETMAXLOT_NEW,
                @V_IDALTERAPCPRET_NEW,
                @V_IDLOTEPROD_NEW,
                @V_IDAUDIPROCFAB_NEW,
                @V_IDUTAUTSENHA_NEW,
                @V_IDGERAOPPEDIDO_NEW,
                @V_IDUTAUTSENHARET_NEW,
                @V_IDTPRETIRADA_NEW,
                @V_IDALTERARETI_NEW,
                @V_IDVDSEMIVDACAB_NEW,
                @V_CDFORNECEDBANH_NEW,
                @V_VRSERVICO_NEW,
                @V_VRPROPORCAO_NEW,
                @V_IDLOTEPRODCOMP_NEW,
                @V_IDRETPERDAUTO_NEW,
                @V_IDLIBLOTEEST_NEW,
                @V_IDALTERAFECHA_NEW,
                @V_IDRECALCQTOP_NEW,
                @V_IDUNIDADEVRINT_NEW,
                @V_DSUNIDMEDIDA_NEW,
                @V_CDPRODAGUA_NEW,
                @V_VRPRODAGUA_NEW,
                @V_VRULTPRODAGUA_NEW,
                @V_IDBLOQFECHA_NEW,
                @V_IDVRUNITPRACAB_NEW,

                @V_IDUTBALCWTFECHOP_NEW,
                @V_IDMODELOBALANCA_NEW,
                @V_IDTIPOCONEXAO_NEW,
                @V_DSIPBALANCA_NEW,
                @V_CDPORTABALANCA_NEW,
                @V_IDINFPESOMANUAL_NEW,
                @V_IDUTINCOPPED_NEW;
   END;
   CLOSE      C_CURSOR;
   DEALLOCATE C_CURSOR;

END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'LOG_GER_UNIDADE','6.35.004';
GO
